Class PhpSettings

This class manages settings concerning PHP, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'PhpSettings::member' rather than
'PhpSettings::instance()->member' or other long sentence like this.

Declaration :

- C++ : class PhpSettings : public UmlSettings
- Java : class PhpSettings extends UmlSettings

Artifact : PhpSettings

Operation useDefaults

returns TRUE when the created Php objects are initialized
with the default declaration/definition

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

Operation set_UseDefaults

if y is TRUE the future created Php objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

Operation classStereotype

returns the PHP stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(const QCString & s)
- Java : public static String classStereotype(String s)

Operation set_ClassStereotype

set the PHP stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

Operation classUmlStereotype

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the PHP one given in argument

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(const QCString & s)
- Java : public static String classUmlStereotype(String s)

Operation rootDir

return the 'root' directory

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static const QCString & rootDir()
- Java : public static String rootDir()

Operation set_RootDir

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

Operation sourceContent

returns the default source file content

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static const QCString & sourceContent()
- Java : public static String sourceContent()

Operation set_SourceContent

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

Operation sourceExtension

returns the extension of the file produced by the PHP code generator

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static const QCString & sourceExtension()
- Java : public static String sourceExtension()

Operation set_SourceExtension

set the extension of the file produced by the PHP code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

Operation reverseRoundtripDirRegExp

return the regular expression used to bypass
dir s on reverse/roundtrip

Declaration :

- Uml : static, + reverseRoundtripDirRegExp() : string
- C++ : public: static QCString reverseRoundtripDirRegExp()
- Java : public static String reverseRoundtripDirRegExp()

Operation isReverseRoundtripDirRegExpCaseSensitive

return if the regular expression used to bypass
dir s on reverse/roundtrip is case sensitive

Declaration :

- Uml : static, + isReverseRoundtripDirRegExpCaseSensitive() : bool
- C++ : public: static bool isReverseRoundtripDirRegExpCaseSensitive()
- Java : public static boolean isReverseRoundtripDirRegExpCaseSensitive()

Operation set_ReverseRoundtripDirRegExp

set the regular expression used to bypass
dir s on reverse/roundtrip
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ReverseRoundtripDirRegExp(in s : string, in cs : bool) : bool
- C++ : public: static bool set_ReverseRoundtripDirRegExp(QCString s, bool cs)
- Java : public static void set_ReverseRoundtripDirRegExp(String s, boolean cs)

Operation reverseRoundtripFileRegExp

return the regular expression used to bypass
file s on reverse/roundtrip

Declaration :

- Uml : static, + reverseRoundtripFileRegExp() : string
- C++ : public: static QCString reverseRoundtripFileRegExp()
- Java : public static String reverseRoundtripFileRegExp()

Operation isReverseRoundtripFileRegExpCaseSensitive

return if the regular expression used to bypass
file s on reverse/roundtrip is case sensitive

Declaration :

- Uml : static, + isReverseRoundtripFileRegExpCaseSensitive() : bool
- C++ : public: static bool isReverseRoundtripFileRegExpCaseSensitive()
- Java : public static boolean isReverseRoundtripFileRegExpCaseSensitive()

Operation set_ReverseRoundtripFileRegExp

set the regular expression used to bypass
file s on reverse/roundtrip
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ReverseRoundtripFileRegExp(in s : string, in cs : bool) : bool
- C++ : public: static bool set_ReverseRoundtripFileRegExp(QCString s, bool cs)
- Java : public static void set_ReverseRoundtripFileRegExp(String s, boolean cs)

Operation requireOnceWithPath

indicates to the code generator if the require_once may specify
the path of just the file's name

Declaration :

- Uml : static, + requireOnceWithPath() : bool
- C++ : public: static bool requireOnceWithPath()
- Java : public static boolean requireOnceWithPath()

Operation set_RequireOnceWithPath

to indicates to the code generator if the require_once may specify
the path of just the file's name
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RequireOnceWithPath(in v : bool) : bool
- C++ : public: static bool set_RequireOnceWithPath(bool v)
- Java : public static void set_RequireOnceWithPath(boolean v)

Operation isRelativePath

return if a relative path must be used when the path
must be generated in the produced require_once

Declaration :

- Uml : static, + isRelativePath() : bool
- C++ : public: static bool isRelativePath()
- Java : public static boolean isRelativePath()

Operation set_IsRelativePath

set if a relative path must be used when the path
must be generated in the produced require_once
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsRelativePath(in v : bool) : bool
- C++ : public: static bool set_IsRelativePath(bool v)
- Java : public static void set_IsRelativePath(boolean v)

Operation isRootRelativePath

return if a path relative to the project root must be used
when the path must be generated in the produced require_once

Declaration :

- Uml : static, + isRootRelativePath() : bool
- C++ : public: static bool isRootRelativePath()
- Java : public static boolean isRootRelativePath()

Operation set_IsRootRelativePath

set if a relative to the project root path must be used
when the path must be generated in the produced require_once
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsRootRelativePath(in v : bool) : bool
- C++ : public: static bool set_IsRootRelativePath(bool v)
- Java : public static void set_IsRootRelativePath(boolean v)

Operation isGenerateJavadocStyleComment

return if generate Javadoc style comment

Declaration :

- Uml : static, + isGenerateJavadocStyleComment() : bool
- C++ : public: static bool isGenerateJavadocStyleComment()
- Java : public static boolean isGenerateJavadocStyleComment()

Operation set_IsGenerateJavadocStyleComment

set if generate Javadoc style comment
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsGenerateJavadocStyleComment(in v : bool) : bool
- C++ : public: static bool set_IsGenerateJavadocStyleComment(bool v)
- Java : public static void set_IsGenerateJavadocStyleComment(boolean v)

Operation classDecl

returns the default definition of a class

Declaration :

- Uml : static, + classDecl() : string
- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

Operation set_ClassDecl

set the default definition of a class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

Operation externalClassDecl

returns the default specification for an 'external' class

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

Operation set_ExternalClassDecl

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

Operation enumDecl

returns the default definition of an enumeration

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static QCString enumDecl()
- Java : public static String enumDecl()

Operation set_EnumDecl

set the default definition of an enumeration
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

Operation interfaceDecl

returns the default definition of an interface

Declaration :

- Uml : static, + interfaceDecl() : string
- C++ : public: static const QCString & interfaceDecl()
- Java : public static String interfaceDecl()

Operation set_InterfaceDecl

set the default definition of an interface
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_InterfaceDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_InterfaceDecl(QCString v)
- Java : public static void set_InterfaceDecl(String v) throws RuntimeException

Operation attributeDecl

returns the default definition of an attribute

Declaration :

- Uml : static, + attributeDecl() : string
- C++ : public: static const QCString & attributeDecl()
- Java : public static String attributeDecl()

Operation set_AttributeDecl

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_AttributeDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(QCString v)
- Java : public static void set_AttributeDecl(String v) throws RuntimeException

Operation enumItemDecl

returns the default definition of an enumeration item

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static QCString enumItemDecl()
- Java : public static String enumItemDecl()

Operation set_EnumItemDecl

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

Operation relationDecl

returns the default definition of an relation

Declaration :

- Uml : static, + relationDecl() : string
- C++ : public: static const QCString & relationDecl()
- Java : public static String relationDecl()

Operation set_RelationDecl

set the default definition of an relation
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(QCString v)
- Java : public static void set_RelationDecl(String v) throws RuntimeException

Operation operationDef

returns the default definition of an operation

Declaration :

- Uml : static, + operationDef() : string
- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

Operation set_OperationDef

set the default definition of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationDef(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

Operation getVisibility

returns the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation'
note : visibility shared with Java

Declaration :

- Uml : static, + getVisibility() : aVisibility
- C++ : public: static aVisibility getVisibility()
- Java : public static aVisibility getVisibility()

Operation set_GetVisibility

set the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation'
On error : return FALSE in C++, produce a RuntimeException in Java
note : visibility shared with Java

Declaration :

- Uml : static, + set_GetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetVisibility(aVisibility v)
- Java : public static void set_GetVisibility(aVisibility v) throws RuntimeException

Operation getName

returns the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

Operation set_GetName

set the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

Operation setName

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

Operation set_SetName

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

Operation isGetFinal

return if a 'get' operation generated through the attribute
and relation 'add get operation' menu is final by default

Declaration :

- Uml : static, + isGetFinal() : bool
- C++ : public: static bool isGetFinal()
- Java : public static boolean isGetFinal()

Operation set_IsGetFinal

set if a 'get' operation generated through the attribute
and relation 'add get operation' menu is final by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsGetFinal(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetFinal(bool v)
- Java : public static void set_IsGetFinal(boolean v) throws RuntimeException

Operation isSetFinal

returns if a 'set' operation generated through the attribute
and relation 'add set operation' menu is final by default

Declaration :

- Uml : static, + isSetFinal() : bool
- C++ : public: static bool isSetFinal()
- Java : public static boolean isSetFinal()

Operation set_IsSetFinal

set if a 'set' operation generated through the attribute
and relation 'add set operation' menu is final by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsSetFinal(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetFinal(bool v)
- Java : public static void set_IsSetFinal(boolean v) throws RuntimeException

Operation setVisibility

returns the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation'
note : visibility shared with Java

Declaration :

- Uml : static, + setVisibility() : aVisibility
- C++ : public: static aVisibility setVisibility()
- Java : public static aVisibility setVisibility()

Operation set_SetVisibility

set the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation'
On error : return FALSE in C++, produce a RuntimeException in Java
note : visibility shared with Java

Declaration :

- Uml : static, + set_SetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetVisibility(aVisibility v)
- Java : public static void set_SetVisibility(aVisibility v) throws RuntimeException

Operation PhpSettings

never called !

Declaration :

- Uml : - PhpSettings() :
- C++ : private: PhpSettings()
- Java : private PhpSettings()

Attribute _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribute _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribute _class_decl

Declaration :

- Uml : static, - _class_decl : string
- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribute _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribute _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribute _interface_decl

Declaration :

- Uml : static, - _interface_decl : string
- C++ : private: static QCString _interface_decl
- Java : private static String _interface_decl

Attribute _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl
- Java : private static String _attr_decl

Attribute _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribute _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl
- Java : private static String _rel_decl

Attribute _oper_def

Declaration :

- Uml : static, - _oper_def : string
- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Relation _get_visibility (<directional composition>)

Declaration :

- Uml : static, - _get_visibility : aVisibility
- C++ : private: static aVisibility _get_visibility

Attribute _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribute _is_get_final

Declaration :

- Uml : static, - _is_get_final : bool
- C++ : private: static bool _is_get_final
- Java : private static boolean _is_get_final

Relation _set_visibility (<directional composition>)

Declaration :

- Uml : static, - _set_visibility : aVisibility
- C++ : private: static aVisibility _set_visibility

Attribute _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribute _is_set_final

Declaration :

- Uml : static, - _is_set_final : bool
- C++ : private: static bool _is_set_final
- Java : private static boolean _is_set_final

Attribute _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribute _ext

Declaration :

- Uml : static, - _ext : string
- C++ : private: static QCString _ext
- Java : private static String _ext

Attribute _dir_regexp

Declaration :

- Uml : static, - _dir_regexp : string
- C++ : private: static QCString _dir_regexp
- Java : private static String _dir_regexp

Attribute _dir_regexp_case_sensitive

Declaration :

- Uml : static, - _dir_regexp_case_sensitive : bool
- C++ : private: static bool _dir_regexp_case_sensitive
- Java : private static boolean _dir_regexp_case_sensitive

Attribute _file_regexp

Declaration :

- Uml : static, - _file_regexp : string
- C++ : private: static QCString _file_regexp
- Java : private static String _file_regexp

Attribute _file_regexp_case_sensitive

Declaration :

- Uml : static, - _file_regexp_case_sensitive : bool
- C++ : private: static bool _file_regexp_case_sensitive
- Java : private static boolean _file_regexp_case_sensitive

Attribute _is_generate_javadoc_comment

Declaration :

- Uml : static, - _is_generate_javadoc_comment : bool
- C++ : private: static bool _is_generate_javadoc_comment
- Java : private static boolean _is_generate_javadoc_comment

Attribute _req_with_path

Declaration :

- Uml : static, - _req_with_path : bool
- C++ : private: static bool _req_with_path
- Java : private static boolean _req_with_path

Attribute _is_relative_path

Declaration :

- Uml : static, - _is_relative_path : bool
- C++ : private: static bool _is_relative_path
- Java : private static boolean _is_relative_path

Attribute _is_root_relative_path

Declaration :

- Uml : static, - _is_root_relative_path : bool
- C++ : private: static bool _is_root_relative_path
- Java : private static boolean _is_root_relative_path

Operation read_

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

Operation read_if_needed_

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

All public operations : artifactDescription , attributeDecl , attributeDescription , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumItemDecl , externalClassDecl , getName , getVisibility , interfaceDecl , isGenerateJavadocStyleComment , isGetFinal , isRelativePath , isReverseRoundtripDirRegExpCaseSensitive , isReverseRoundtripFileRegExpCaseSensitive , isRootRelativePath , isSetFinal , operationDef , operationDescription , relationDecl , relationDescription , requireOnceWithPath , reverseRoundtripDirRegExp , reverseRoundtripFileRegExp , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumItemDecl , set_ExternalClassDecl , set_GetName , set_GetVisibility , set_InterfaceDecl , set_IsGenerateJavadocStyleComment , set_IsGetFinal , set_IsRelativePath , set_IsRootRelativePath , set_IsSetFinal , set_OperationDef , set_OperationDescription , set_RelationDecl , set_RelationDescription , set_RequireOnceWithPath , set_ReverseRoundtripDirRegExp , set_ReverseRoundtripFileRegExp , set_RootDir , set_SetName , set_SetVisibility , set_SourceContent , set_SourceExtension , set_UmlGetName , set_UmlSetName , set_UseDefaults , setName , setVisibility , sourceContent , sourceExtension , umlGetName , umlSetName , useDefaults